<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="@dimen/margin_1x_size">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/frame_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_button_round_service"
        android:padding="@dimen/margin_2x_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_shop_img"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:src="@drawable/ic_yes_profile"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_2x_size"
            app:layout_constraintBottom_toBottomOf="@+id/iv_shop_img"
            app:layout_constraintEnd_toStartOf="@+id/btn_redeem"
            app:layout_constraintStart_toEndOf="@+id/iv_shop_img"
            app:layout_constraintTop_toTopOf="parent">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_shop_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="yes hub Head office"
                android:textColor="@color/white"
                android:textSize="@dimen/default_text_size"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_location_img"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/ic_map_pin"
                app:layout_constraintBottom_toBottomOf="@+id/tv_location"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tv_location"
                app:tint="@color/white" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_location"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:padding="@dimen/margin_1x_size"
                android:textColor="@color/white"
                android:textSize="@dimen/small_text_size"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@+id/iv_location_img"
                app:layout_constraintTop_toBottomOf="@+id/tv_shop_name" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/btn_redeem"
            android:layout_width="wrap_content"
            android:layout_height="35dp"
            android:background="@drawable/bg_button_primary"
            android:backgroundTint="@color/white"
            android:gravity="center"
            android:paddingStart="@dimen/margin_3x_size"
            android:paddingEnd="@dimen/margin_3x_size"
            android:text="Redeem"
            android:textSize="@dimen/extra_small_text_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>